#### D.6.17.1 detadj

Procedure from library `mondromy.lib` (see mondromy_lib).

Usage:
  detadj(U); U matrix

Assume:
  U is a square matrix with non zero determinant.

Return:
  The procedure returns a list with at most 2 entries.
  If U is not a square matrix, the list is empty.
  If U is a square matrix, then the first entry is the determinant of U. If U is a square matrix and the determinant of U not zero, then the second entry is the adjoint matrix of U.

Display:
  The procedure displays comments if printlevel>=1.

Example:

    LIB "mondromy.lib";
    ring R=0,x,dp;
    matrix U[2][2]=1,1+x,1+x2,1+x3;
    list daU=detadj(U);
    daU[1];
    ==> -x2-x
    print(daU[2]);
    ==> x3+1, -x-1,
    ==> -x2-1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.